package com.huimv.env.common.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.env.common.entity.EnvData;
import com.huimv.env.common.entity.vo.EnvDataVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Repository
public interface EnvDataMapper extends BaseMapper<EnvData> {
    List<EnvData> listDay(@Param(Constants.WRAPPER) QueryWrapper<EnvData> queryWrapper);

    List<EnvData> listNow(@Param(Constants.WRAPPER) QueryWrapper<EnvData> queryWrapper);

    List<EnvDataVo> listPigpenAll(@Param("farmId") String farmId);
}
