package com.huimv.env.input;

import com.huimv.env.input.server.EnvInputServer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;

@ComponentScans({@ComponentScan("com.huimv.env.common.utils"), @ComponentScan("com.huimv.env.common.service")})
@EntityScan(value = "com.huimv.env.common.entity")
@MapperScan("com.huimv.env.common.mapper")
@SpringBootApplication
public class HuimvEnvInputApplication {
    public static void main(String[] args) throws InterruptedException {
        ApplicationContext applicationContext = SpringApplication.run(HuimvEnvInputApplication.class, args);

        applicationContext.getBean(EnvInputServer.class).run();
    }
}
