package com.huimv.env.common.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.env.common.entity.EnergyElectricity;
import com.huimv.env.common.entity.EnergyWater;
import com.huimv.env.common.entity.dto.EnergyDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Repository
public interface EnergyWaterMapper extends BaseMapper<EnergyWater> {
    EnergyDto listCount(@Param(Constants.WRAPPER) QueryWrapper<EnergyWater> queryWrapper);
}
